Subject: bug#30299: [core-updates] shepherd fails tests on all systems except x86_64

From: [email-masked] (Ludovic Courtès)
Date: Wed, 14 Feb 2018 14:00:18 +0100

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Mark H Weaver <[email-masked]> skribis:
>>
>>> On core-updates, Hydra has been unable to successfully build 'shepherd'
>>> on any system except x86_64-linux.  I can also report that on my
>>> mips64el-linux GuixSD system, which is running something close to
>>> 'core-updates', I had to disable tests on shepherd in order to build it.
>>> I don't know about aarch64-linux.
>>>
>>> These are the tests that commonly fail:
>>>
>>>   FAIL: tests/respawn.sh
>>>   FAIL: tests/respawn-throttling.sh
>>>   FAIL: tests/basic.sh
>>
>> This is a non-deterministic failure.  I could reproduce the
>> tests/basic.sh one and it is fixed by this:
>>
>>   https://git.savannah.gnu.org/cgit/shepherd.git/commit/?id=cc9564586729a5bb90dd5d2722b543fdde9ab821
>
> Thank you!
>
>> I’ll roll a new Shepherd release soon and update the package.
>
> For now, I added your patch to the shepherd package in core-updates, in
> commit f2d2ee42f168909f27c0c3b6532ef16febfd3b86.

Thanks, and sorry for not acting earlier!  (I was waiting for a reply
from the Translation Project to make the new release, but that hasn’t
happened yet.)

Ludo’.